description

# ServiceExtensionResponse class Null safety

A response to a service protocol extension RPC.

If the RPC was successful, use ServiceExtensionResponse.result, otherwise use ServiceExtensionResponse.error.

## Constructors

ServiceExtensionResponse.error(int errorCode, String errorDetail)
  Creates an error response to a service protocol extension RPC. [...]
ServiceExtensionResponse.result(String result)
  Creates a successful response to a service protocol extension RPC. [...]

## Properties

errorCode → int?
  The error code associated with a failed service protocol extension RPC.
  final
errorDetail → String?
  The details of a failed service protocol extension RPC.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
result → String?
  The result of a successful service protocol extension RPC.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

isError() → bool
  Determines if this response represents an error.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

extensionError → const int
  Generic extension error code.
  `-32000`
extensionErrorMax → const int
  Maximum extension provided error code.
  `-32000`
extensionErrorMin → const int
  Minimum extension provided error code.
  `-32016`
invalidParams → const int
  Invalid method parameter(s) error code.
  `-32602`
kExtensionError → const int
  Generic extension error code.
  `extensionError`
kExtensionErrorMax → const int
  Maximum extension provided error code.
  `extensionErrorMax`
kExtensionErrorMin → const int
  Minimum extension provided error code.
  `extensionErrorMin`
kInvalidParams → const int
  Invalid method parameter(s) error code.
  `invalidParams`